Bug 47040 - OpenSSH fails to start
OpenSSH fails to start
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2001-07-02 15:02 EDT by Wade Minter
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-08 13:51:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Minter 2001-07-02 15:02:54 EDT
Description of Problem:
/etc/init.d/openssh start dies with:
Starting sshd:execvp: No such file or directory

How Reproducible:
Start SSH vi /etc/init.d/openssh start

Actual Results:
SSH doesn't start

Expected Results:
SSH starts

Additional Information:
This is from a Custom installation with the default groups selected.
Comment 1 Pekka Savola 2001-07-06 17:59:40 EDT
I believe this is probably because sshd is started as 'sshd' not /usr/sbin/sshd, and root's path
does not, for some reason, contain /usr/sbin.

There seems to be a new 'setup' package recently which changelog shows something that probably
fixed the problem, whatever it was.
Comment 2 Glen Foster 2001-07-13 18:07:43 EDT
This defect considered MUST-FIX for Fairfax gold-release.
Comment 3 Nalin Dahyabhai 2001-08-06 18:06:07 EDT
Are you certain this is the version of the package included in RHL?  The init
script uses the full path (/usr/sbin/sshd) when starting the server process, and
it's named "sshd" and not "openssh"....
Comment 4 Wade Minter 2001-08-08 13:51:19 EDT
It was a stock install on a clean disk, but the problem seems to be fixed now. 
Comment 5 Nalin Dahyabhai 2001-08-09 18:18:08 EDT
O-kay.  I'll close this as worksforme for now, then.

Note You need to log in before you can comment on or make changes to this bug.